{% extends "infra/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Ubicación de nodo{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'node-list' %}">Nodos</a></li>
		<li class="breadcrumb-item"><a href="{% url 'node-detail' pk=object.pk %}">ID: {{ object.pk }}</a></li>
		<li class="breadcrumb-item active"><a href="#">Ubicación de Nodo</a></li>
	  </ol>
	
	<!-- begin page-header -->
	<h1 class="page-header">Ubicación de Nodo <small>{{ object.code }}</small></h1>
  <!-- end page-header -->
  


  <ul class="nav nav-pills mb-2">
      <li class="nav-item">
        <a href="{% url 'node-detail' pk=object.pk %}"class="nav-link">
        <span class="d-sm-none">General</span>
        <span class="d-sm-block d-none">General</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-gear' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">Equipos</span>
        <span class="d-sm-block d-none">Equipos</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-gallery' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">Galería</span>
        <span class="d-sm-block d-none">Galería</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-documents' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">Documentos</span>
        <span class="d-sm-block d-none">Documentos</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-services' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">Servicios</span>
        <span class="d-sm-block d-none">Servicios</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-location' pk=object.pk %}" class="nav-link active">
        <span class="d-sm-none">Ubicación</span>
        <span class="d-sm-block d-none">Ubicación</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-leases' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">DHCP leases</span>
          <span class="d-sm-block d-none">DHCP leases</span>
        </a>
        </li>
        {% if object.is_optical_fiber %}
        <li class="nav-item">
          <a href="#" class="nav-link">
          <span class="d-sm-none">Fibra Óptica</span>
          <span class="d-sm-block d-none">Fibra Óptica</span>
          </a>
        </li>
        {% endif %}
        <li class="nav-item">
          <a href="{% url 'node-activities' pk=object.pk %}" class="nav-link">
            <span class="d-sm-none">Actividades</span>
            <span class="d-sm-block d-none">Actividades</span>
          </a>
          </li>
          {% if not object.no_address_binding %}
          <li class="nav-item">
            <a href="#" class="nav-link">
            <span class="d-sm-none">Asociar Dirección</span>
            <span class="d-sm-block d-none">Asociar Dirección</span>
            </a>
          </li>
      
          {% endif %}
      </ul>

<!-- begin row -->
<div class="row">	  

    <!-- begin col-12 -->
    <div class="col-xl-12 ui-sortable">
        <!-- begin panel -->
        <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Mapa</h4>
          <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
              <div id="map" style="width: 100%; height: 600px;"></div>
            </div>
            <!-- end panel-body -->
          </div>
          <!-- end panel -->
        </div>
        <!-- end col-12 -->
        
        
        </div>
        <!-- end row -->
        
        <!-- begin scroll to top btn -->
        <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
        <!-- end scroll to top btn -->
        
  {% endblock %}

{% block pageleveljs %}

<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&amp;sensor=false&key=AIzaSyB4AeY8Ts757OtL6PHEqHCLzsHk0L6NXUo"></script>


<script>
var adress = "{{ object.address }}";
var adress_map = {
    data: []
};

$.ajax
({
    async: false,
    url:"https://maps.googleapis.com/maps/api/geocode/json?key=AIzaSyB4AeY8Ts757OtL6PHEqHCLzsHk0L6NXUo&address="+adress,
    type: "POST",
      success:function(res)
      {
        adress_map.data.push
        ({ 
            "address"  :  adress, 
            "latitude" :  res.results[0].geometry.location.lat,
            "longitud" :  res.results[0].geometry.location.lng,
            
        });
      }
});

</script>
<script>
 var map = new google.maps.Map(document.getElementById('map'), {
    zoom: 18,
    center: new google.maps.LatLng(adress_map.data[0]["latitude"], adress_map.data[0]["longitud"]),
    mapTypeId: google.maps.MapTypeId.ROADMAP
});

var infowindow = new google.maps.InfoWindow();
var marker, i;
marker = new google.maps.Marker({
        position: new google.maps.LatLng(adress_map.data[0]["latitude"], adress_map.data[0]["longitud"]),
        map: map
});

google.maps.event.addListener(marker, 'click', (function(marker, i){
    return function(){
        infowindow.setContent(adress_map.data[0]["address"]);
        infowindow.open(map, marker);
    }
 })(marker, i));
  
</script>
<!-- Work Here end-->
{% endblock %}
